View Issue Details

IDProjectCategoryView StatusLast Update
0004726Talerwallet (WebExtensions)public2016-11-20 03:26
ReporterFlorian DoldAssigned ToFlorian Dold 
PrioritynormalSeveritytweakReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.1 
Target Version0.2Fixed in Version0.2 
Summary0004726: make db query abstractions more type safe / document schema
DescriptionWe have those nice query abstractions, but they could be made more type-safe by introduction a more explicit description of the schema and adding some typed wrappers.
TagsNo tags attached.

Activities

Florian Dold

2016-10-18 02:08

manager   ~0011342

Fixed in 6b51e3e48f.

Issue History

Date Modified Username Field Change
2016-10-13 00:39 Florian Dold New Issue
2016-10-13 00:39 Florian Dold Status new => assigned
2016-10-13 00:39 Florian Dold Assigned To => Florian Dold
2016-10-13 01:59 Christian Grothoff Severity minor => tweak
2016-10-13 01:59 Christian Grothoff Product Version => 0.1
2016-10-13 01:59 Christian Grothoff Target Version => 0.2
2016-10-18 02:08 Florian Dold Note Added: 0011342
2016-10-18 02:08 Florian Dold Status assigned => resolved
2016-10-18 02:08 Florian Dold Resolution open => fixed
2016-11-15 16:03 Christian Grothoff Fixed in Version => 0.2
2016-11-20 03:26 Christian Grothoff Status resolved => closed